pysvn (1.9.9-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix clean target
  [Gianfranco Costamagna]
  * Drop python2 package (Closes: #937552)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 28 Dec 2019 11:03:00 +0000

pysvn (1.9.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Josue Ortega ]
  * Bump debhelper-compat to use (= 12)
  * Call python2 instead of python in the autopkg test. Closes: #943412.
    Thanks to Matthias Klose for the patch

 -- Josue Ortega <josue@debian.org>  Wed, 30 Oct 2019 19:10:08 -0600

pysvn (1.9.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
   * Convert git repository from git-dpm to gbp layout

  [ Josue Ortega ]
  * New upstream release (1.9.9-1):
    - Update debian/patches.
  * Bump Standards-Version to 4.3.0:
    - Document Rules-Requires-Root field.
  * debian/copyright:
    - Update copyright years.
    - Update pycxx location.
  * debian/control: Update package homepage.
  * debian/rules: Change DEB_HOST_MULTIARCH to use ?= at its
    assignation.
  * debian/watch: Update to use SourceForge mirror.
  * Add debian CI tests.

 -- Josue Ortega <josue@debian.org>  Thu, 21 Feb 2019 21:10:08 -0600

pysvn (1.9.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Josue Ortega ]
  * New upstream version (1.9.6).
  * Bumps Standards-Version to 4.1.4, no changes required.
  * debian/control: Bumps X-Python3-Version to use 3.6.

 -- Josue Ortega <josue@debian.org>  Sun, 24 Jun 2018 17:37:09 -0600

pysvn (1.9.5-1) unstable; urgency=medium

  * New upstream release (1.9.5):
    - Update debian/patches.
  * Bumps debhelper version from 9 to 11.
  * Bumps Standards-Version from 3.9.8 to 4.1.3:
    - debian/copyright: Changes URI to its secure version.
  * Updates debian/copyright.

 -- Josue Ortega <josue@debian.org>  Sun, 28 Jan 2018 18:20:31 -0600

pysvn (1.9.4-3) unstable; urgency=medium

  * Team upload.
  * Update to build python3-svn for all supported python3 versions
    (Closes: #862423)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Jul 2017 13:14:54 -0400

pysvn (1.9.4-2) unstable; urgency=medium

  * Adds patch 0001-fix-multiple-arch-support.patch to support
    architectures besides amd64.
  * debian/rules: Comments verbosity flag.

 -- Josue Ortega <josue@debian.org>  Sun, 09 Oct 2016 22:12:10 -0600

pysvn (1.9.4-1) unstable; urgency=medium

  * New upstream release:
    - debian/rules: Updated --pycxx-dir in CONFIG_OPTIONS(3).
    - debian/rules: Updated Import/pycxx-6.28 directory.
  * debian/control:
    - Changes python-cxx-dev build depend relationship grater-equal than
      7.0.1, (Closes: #839366).
    - Removes suggests field with pyhon-svn-dbg in Python package.
  * debian/watch: Updates origin URL.

 -- Josue Ortega <josue@debian.org>  Sun, 02 Oct 2016 17:22:10 -0600

pysvn (1.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Josue Ortega ]
  * debian/control:
     - python-svn-dbg removed, since it was generated with no
       debug symbols.
     - Adds Python 3 package.
     - Updates uploader's mail.
     - Standards-Version updated to 3.9.8, no changes required.
     - Changes python-cxx-dev build depend relationship to be strictly less
       than 6.2.7.
  * debian/rules: Adds Python3 package scripts.
  * debian/copyright: Updates year and email for debian/* copyright
    holder.

 -- Josue Ortega <josue@debian.org>  Tue, 05 Jul 2016 16:01:01 +0200

pysvn (1.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #802121):
     - debian/patches/* updated to be compatible with the new upstream release.
  * debian/control:
     - Dependencies version updated.
     - set Standards-Version: 3.9.6 no changes required.
  * debian/copyright:
     - Updated BSD license tag name to BSD-4-clause.
     - Paragraphs have been reordered.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 20 Dec 2015 17:55:29 -0600

pysvn (1.7.8-1) unstable; urgency=low

  * New Maintainer (Closes: #741094)
  * Buildsystem changed to pybuild
  * debian/source/options adds extend-diff-ignore to ignore changes
    made during compilation to upstream code.
  * debian/rules override_dh_installdocs added (Closes: #736300).
  * debian/copyright fixed issues with dep-5.
  * debian/control:
     - added new description to the dbg package.
     - set Standards-Version: 3.9.5 no changes required.

 -- Josue Ortega <josueortega@debian.org.gt>  Mon, 14 Apr 2014 12:18:08 -0600

pysvn (1.7.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - specify "--apr-lib-dir" to fix "FTBFS: 'Error:', 'cannot find APR
      library libapr-0.so'" (Closes: #738371)

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Feb 2014 21:08:35 +0900

pysvn (1.7.8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/rules (and more...)
    - make it dh-nize
  * debian/compat
    - set 9
  * debian/control
    - set Standards-Version: 3.9.4

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Oct 2013 22:53:34 +0900

pysvn (1.7.6-0.3) unstable; urgency=low

  * Non-maintainer upload
  * debian/rules
    - add "--platform=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)" to
      setup.py to solve problem on kfrebsd arch.
  * debian/patches
    - add specify_platform_kfreebsd-hurd_as_linux.patch to deal with kfreebsd
      and hurd as platform

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Aug 2012 07:10:54 +0900

pysvn (1.7.6-0.2) unstable; urgency=low

  * Non-maintainer upload
  * upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Thu, 02 Aug 2012 14:04:08 +0900

pysvn (1.7.6-0.1) experimental; urgency=low

  * Non-maintainer upload
  * Upload to experimental, we're now freeze time and it may break other
    package, so checking reverse dependency packages is needed to put it
    to unstable.
  * New upstream release
    - works with subversion1.7 (Closes: #678559, LP#1016621)
  * debian/control
    - add "Build-Depends: libaprutil1-dev" to provide apu.h file.
  * debian/rules
    - specify "--apu-inc-dir" option to find apu.h.
    - enable --norpath option to avoid "binary-or-shlib-defines-rpath" lintain
      error
  * debian/patches
    - refresh it, meet to new upstream release

 -- Hideki Yamane <henrich@debian.org>  Thu, 19 Jul 2012 04:23:27 +0900

pysvn (1.7.5-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Drop the not needed build dependency on libsvncpp-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Dec 2011 13:29:25 +0100

pysvn (1.7.5-1) unstable; urgency=low

  [ Henry Velez ]
  * New maintainer. Closes: #611062
  * New upstream release

  [ Matthias Klose ]
  * Build using subversion multiarch location.
  * Use dpkg-buildflags.

 -- Henry Velez <henry.debian@gmail.com>  Mon, 13 Jun 2011 02:56:06 -0500

pysvn (1.7.2-4) unstable; urgency=low

  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jan 2011 07:22:03 +0100

pysvn (1.7.2-3) unstable; urgency=low

  * Build using dh_python2 instead of dh_pycentral. Closes: #590398.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2010 10:54:35 +0200

pysvn (1.7.2-2) unstable; urgency=low

  * Don't explicitely use the name of the site directory. Closes: #567960.
  * Provide python-pysvn. Closes: #556849.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Feb 2010 16:36:57 +0100

pysvn (1.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jan 2010 09:30:21 +0100

pysvn (1.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2010 15:40:52 +0100

pysvn (1.7.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Aug 2009 10:50:50 +0200

pysvn (1.6.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2008 02:56:09 +0000

pysvn (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Store __init__.py for each python version and don't mix them
    (Closes: #501646).
  * Avoid setting rpath to /usr/lib64 in compiled modules.

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Oct 2008 09:40:00 +0200

pysvn (1.6.1-1) unstable; urgency=low

  * New upstream version (supporting subversion-1.5.2).

 -- Matthias Klose <doko@debian.org>  Mon, 06 Oct 2008 23:16:01 +0200

pysvn (1.6.0-1) unstable; urgency=low

  * New upstream version (supporting subversion-1.5).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jul 2008 17:41:19 +0200

pysvn (1.5.3-3) unstable; urgency=low

  * Explicitely build-depend on libneon27-gnutls-dev. Closes: #489080.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2008 11:23:02 +0200

pysvn (1.5.3-2) unstable; urgency=low

  * Add doc-base file.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jun 2008 00:49:35 +0200

pysvn (1.5.3-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Feb 2008 05:36:00 +0100

pysvn (1.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 21:36:43 +0100

pysvn (1.5.1-2) unstable; urgency=low

  * Fix maintainer address.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jun 2007 09:56:37 +0200

pysvn (1.5.1-1) unstable; urgency=low

  * New upstream version, supporting subversion-1.4.
  * Merge from Ubuntu:
    - Build a python-svn-dbg package.
    - Bump debhelper compatibility to v5.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jun 2007 09:31:42 +0200

pysvn (1.5.0dfsg-1) unstable; urgency=low

  * New upstream version, supporting subversion-1.4.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 23:14:37 +0200

pysvn (1.4.2+dfsg-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for etch-targetted RC bugfix.
  * Build-depend on libapr1-dev instead of libapr0-dev and use
    apr-config --includedir in setup.py, for the apache2.2 transition.
    Closes: #391637.

 -- Steve Langasek <vorlon@debian.org>  Tue, 24 Oct 2006 02:15:19 -0700

pysvn (1.4.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball, removing Kit/Win32/vc6redist/ which is not
    DFSG-free. (Closes: #383525)
  * Set LC_ALL=C in debian/rules; fixes FTBFS in some locales.
    (Closes: #383524, #383532)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 00:53:29 +0200

pysvn (1.4.2-2) unstable; urgency=medium

  * Fixed in 1.4.x:
    - Fixed documentation of pysvn.Client.propget. Closes: #339525.
    - Client.revpropget doesn't segfault when property doesn't exist.
      Closes: #294263.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 16:36:59 +0200

pysvn (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Convert to new Python policy. Closes: #373507.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 20:18:32 +0200

pysvn (1.4.1-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (closes: #357964).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 16:22:18 +0200

pysvn (1.4.1-1) unstable; urgency=low

  * New upstream version.
  * Supports subversion 1.3 (closes: #354962).

 -- Matthias Klose <doko@debian.org>  Tue,  7 Mar 2006 14:08:44 +0000

pysvn (1.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Oct 2005 14:50:18 +0200

pysvn (1.3.0-1) unstable; urgency=low

  * Package from release tarball.

 -- Matthias Klose <doko@debian.org>  Thu,  8 Sep 2005 05:13:33 +0000

pysvn (1.2.99-1) unstable; urgency=low

  * New upstream version (1.3, taken from the svn repository).
  * Compatible with subversion-1.2 (closes: #325194).
  * Fix issues with g++-4.0 (closes: #325178, #325168, #325384).
  * Remove .svn directory in package (closes: #301941).

 -- Matthias Klose <doko@debian.org>  Wed,  7 Sep 2005 18:53:15 +0000

pysvn (1.2.0-2) unstable; urgency=low

  * Build for new C++ ABI.
  * Build using -fvisibility=hidden -fvisibility-inlines-hidden.
  * Merge Ubuntu changes:
    * Diff results should be literal strings, there is no globally safe
      encoding for them (Robert Collins <robertc@robertcollins.net>)

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:59:44 +0000

pysvn (1.2.0-1ubuntu1) breezy; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  3 Jun 2005 12:15:20 +0000

pysvn (1.1.2-3) unstable; urgency=medium

  * Fix a race condition with a buffered temp file (Robert Collins).

 -- Matthias Klose <doko@debian.org>  Sun,  8 May 2005 18:09:00 +0200

pysvn (1.1.2-2) unstable; urgency=low

  * Remove version control directories (closes: #301941).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 16:12:53 +0200

pysvn (1.1.2-1ubuntu1) hoary; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  1 Mar 2005 22:52:12 +0100

pysvn (1.1.0-2) unstable; urgency=low

  * Fix pasto in revpropset command (closes: #288970).

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jan 2005 07:45:12 +0100

pysvn (1.1.0-1) unstable; urgency=low

  * New upstream version (closes: #287427).
  * Apply patch to build with gcc-4.0 (closes: #287427).

 -- Matthias Klose <doko@debian.org>  Mon,  3 Jan 2005 08:51:08 +0100

pysvn (1.0.0-2) unstable; urgency=low

  * Add dependency on python.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Dec 2004 12:28:21 +0100

pysvn (1.0.0-1) unstable; urgency=low

  * Build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Dec 2004 18:28:28 +0100

pysvn (1.0.0-0ubuntu1) hoary; urgency=low

  * Initial Release.

 -- Matthias Klose <m@klose.in-berlin.de>  Fri,  3 Dec 2004 19:33:57 +0100
